Articles of 机器人工作室

任务’:app:packageAllDebugClassesForMultiDex’的Android工作室执行失败

我有这个错误: Execution failed for task ‘:app:packageAllDebugClassesForMultiDex’. > java.util.zip.ZipException: duplicate entry: com/google/android/gms/internal/zzrf.class 我想将google play服务添加到我的项目中,所以我把这行放在build.gradle文件中: compile ‘com.google.android.gms:play-services:7.8.0’ 所以我必须启用multidex并且我遵循android doc,在build.gradle中添加它: compile ‘com.android.support:multidex:1.0.1’ 和 multiDexEnabled true 我在android清单中添加这个: 但我有上面写的错误。 我发现了很多关于这个问题的问题(app:packageAllDebugClassesForMultiDex)但没有find(重复条目:com / google / android / gms / internal / zzrf.class)。 我尝试了一些解决方案,比如删除一些谷歌库,但我不知道是什么引用内部/ zzrf.class。 这是我的gradle文件: apply plugin: ‘com.android.application’ android { compileSdkVersion 22 buildToolsVersion “22.0.1” defaultConfig { applicationId “fr.djey.testgoogleplus” minSdkVersion 16 targetSdkVersion 22 […]

Android Studio – 无法确定Java版本

我使用终端安装了Android Studio的新副本,但是当我创建一个新项目时,它会出现错误“无法确定Java版本”。 JDK和SDK都已安装。 Android Studio已更新至最新版本。 我使用的是Ubuntu 14.04 LTS 感谢您的帮助

Android Studio 3库模块和function模块之间的区别

在Android Studio 3中,至少有两种新模块types。 首先是Instant app module ,第二个是feature module 。 使用Instant App module它非常明显,但从我的角度来看feature module与library module相同。 那么library和feature模块之间的真正区别是什么?何时应该使用library module和何时使用feature module ?

Android Studio:带有子包的独立包

当您在Android Studio中创建包,然后创建子包时,它会在一段时间内转换为表单,您可以在附件中看到。 因此,当我想acctocard创建另一个acctocard子包时 右键单击 – >新建 – >包 , 我新创建的包将是acctocard.activities的子包。 请告诉我如何分离这些包,让它们显示为树。 提前致谢!

libGDX IntelliJ IDEA无法访问com.badlogic.gdx.Application

我用libGDX setup ui创建了一个项目。 该项目在Eclipse中运行良好但是当我在Android Studio中导入它时,android项目MainActivity.java抛出了4个exception: java: cannot access com.badlogic.gdx.Application class file for com.badlogic.gdx.Application not found java: cannot find symbol symbol: variable super location: class com.vestrel00.nekko.MainActivity java: cannot find symbol symbol: method initialize(com.vestrel00.nekko.KFNekko,com.badlogic.gdx.backends.android.AndroidApplicationConfiguration) location: class com.vestrel00.nekko.MainActivity java: method does not override or implement a method from a supertype 有没有人有办法解决吗?

在Android Studio中添加ActonBarSherlock

我正在尝试将ActionBarSherlock添加到我现有的应用程序中。 这并不像我想象的那么容易。 我已经这样做了两天了。 我已经尝试了2页Google结果的每个教程。 以下是本教程后的内容。 我的项目结构 ActionBarSherlock / actionbarsherlock / build.gradle buildscript { repositories { mavenCentral() } dependencies { classpath ‘com.android.tools.build:gradle:0.5.+’ } } apply plugin: ‘android-library’ repositories { mavenCentral() } dependencies { compile ‘com.android.support:support-v4:13.0.+’ compile files(‘libs/Parse-1.3.1.jar’) } android { sourceSets { main { manifest.srcFile ‘src/main/AndroidManifest.xml’ } } } android { compileSdkVersion 17 buildToolsVersion “17.0.0” defaultConfig […]

此版本的渲染库比您的Android Studio版本更新。 请更新Android Studio

我刚刚在android studio中创建了新项目。 我是这个工具的新手。 问题是,它没有向我显示我的设计,它给了我错误, This version of the rendering library is more recent than your version of Android Studio. Please update Android Studio 我研究它,通过阅读这个问题,我做了相同的Android Studio渲染库 1 但是现在,我在MainActivity.java文件中遇到了java编译错误。 我需要导入任何库吗?

如何在Android Studio中配置Kotlin版本?

我在项目的build.gradle中配置了Kotlin版本。 但在其他设置 – > Kotlin编译器中,它显示的是旧版本。 如何解决?

android studio:无法解析HttpClientBuilder

我在Android工作室面临一个奇怪的问题。 我正在使用apache库来制作一些http请求,我需要更改 org.apache.http.impl.client.DefaultHttpClient; 不赞成使用 org.apache.http.impl.client.HttpClientBuilder; 但android工作室没有find那个包。 我能怎么做?

git命令在android studio终端中无法识别

我刚刚下载了android studio以及git.exe 。 我已经在版本控制中更新了路径 – >> git也有适当的git.exe路径并经过测试并且成功了。 现在从终端输入git clone http:// my projectlink时,它说“’git’不被识别为内部或外部命令,可操作程序或批处理文件。” 我错过了什么吗?